//+------------------------------------------------------------------+
//|                                     SymbolsTotal SymbolsName.mq5 |
//|                              Copyright  2016, Vladimir Karputov |
//|                                           http://wmua.ru/slesar/ |
//+------------------------------------------------------------------+
#property copyright "Copyright  2016, Vladimir Karputov"
#property link      "http://wmua.ru/slesar/"
#property version   "1.00"
#include<Trade\Trade.mqh>
#property script_show_inputs
//--- input parameters
input string   find_symbol="EURUSD";
//+------------------------------------------------------------------+
//| Script program start function                                    |
//+------------------------------------------------------------------+
void OnStart()
  {
//---
   if(FindSymbol(find_symbol))
     {
      //--- choosing the direction of the transaction
      //
      //--- transaction volume calculation
      //
      CTrade my_trade;
      my_trade.Buy(0.01,find_symbol);
     }
  }
//+------------------------------------------------------------------+
//| Find Symbol                                                      |
//+------------------------------------------------------------------+
bool FindSymbol(const string &name)
  {
   if(!SymbolInfoInteger(name,SYMBOL_SELECT))
     {
      if(GetLastError()==ERR_MARKET_UNKNOWN_SYMBOL)
        {
         Print("Unknown symbol ",name);
         return(false);
        }
      if(!SymbolSelect(name,true))
        {
         Print("Error select ",name);
         return(false);
        }
      Sleep(3000);
     }
//---
   return(true);
  }
//+------------------------------------------------------------------+
